require('lsp-progress').setup({

})

local config = {
  sections = {
    lualine_c = {
      'filename',
      function()
        return require('lsp-progress').progress()
      end,
    },
    lualine_x = {
      'filetype',
    }
  }
}

--local function ins_left(component)
--table.insert(config.sections.lualine_c, component)
--end

--ins_left({
--'lsp_progress',
--display_components = { 'lsp_client_name', { 'percentage' } }
--})

require('lualine').setup(config)
